GET api/departmentapi/department/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
DepartmentViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| name | string |
None. |
|
| remark | string |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"contract_id": "9369b9fd-819e-4007-b855-ff6a59cca5ee",
"delay_between_scans": 1,
"id": "5440f28b-f2ae-4e17-af10-2507fe2bc899",
"item_wash_max": 1,
"name": "sample string 5",
"remark": "sample string 6",
"selected_nameplate_id": "c0df265a-cfbd-4fcb-bc0b-902e9ca65353",
"selected_sticker_id": "c02a793b-433c-40d5-b488-c71371e6c92a"
}
application/xml, text/xml
Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <contract_id>9369b9fd-819e-4007-b855-ff6a59cca5ee</contract_id> <delay_between_scans>1</delay_between_scans> <id>5440f28b-f2ae-4e17-af10-2507fe2bc899</id> <item_wash_max>1</item_wash_max> <name>sample string 5</name> <remark>sample string 6</remark> <selected_nameplate_id>c0df265a-cfbd-4fcb-bc0b-902e9ca65353</selected_nameplate_id> <selected_sticker_id>c02a793b-433c-40d5-b488-c71371e6c92a</selected_sticker_id> </department>